SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000208SiT!schedulerpublic2008-11-04 20:512011-07-02 18:50
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000208: Set user status based on holiday chart
DescriptionShould have an scheduled task which sets the users status if there on holiday, ill etc based on the entry in the holiday calendar
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000159)
ivan (administrator)
2008-11-04 21:11
edited on: 2008-11-04 21:27

I'm pretty sure I wrote some code to do this, though it may not be being used at the moment.

saction_SetUserStatus() scheduler action does this, though at the present moment, I can't work out how to test if it's works without waiting a day.

User avatar (0000160)
paulh (administrator)
2008-11-04 21:39

Ahh didn't see that, should probably run it more often as you could be on half day, it would also be good if it picked up on people being set as ill (which will be added though during the day)
User avatar (0001130)
paulh (administrator)
2009-05-27 21:50

This is still a problem it doesn't seem to work in all cases.

It didn't set MC away ysterday - suspect this could be due to the bank holiday on Monday?

It doesn't set you back in the office
User avatar (0001139)
kieran (administrator)
2009-05-27 22:03

Might be worth setting up an error log on that system and see if there's any errors occuring?
User avatar (0004082)
ivan (administrator)
2011-07-02 18:50

Fixed in Git 238b763.

It's not possible to set people back in the office after a holiday, that should be always be a manual task, otherwise the system will break the ability to set your status to be on holiday or on a training course manually if you didn't pre-book it.

- Issue History
Date Modified Username Field Change
2008-11-04 20:51 paulh New Issue
2008-11-04 21:11 ivan Note Added: 0000159
2008-11-04 21:27 ivan Note Edited: 0000159
2008-11-04 21:39 paulh Note Added: 0000160
2008-11-29 23:32 kieran Target Version 3.45 => 3.50
2008-12-05 12:08 ivan Assigned To => ivan
2008-12-05 12:08 ivan Status new => confirmed
2009-05-27 21:50 paulh Note Added: 0001130
2009-05-27 22:03 kieran Note Added: 0001139
2009-05-29 14:58 ivan Target Version 3.50 => 3.60
2009-08-21 14:38 kieran Target Version 3.60 => 4.0
2010-07-03 16:36 paulh Status confirmed => assigned
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-07-02 18:50 ivan Note Added: 0004082
2011-07-02 18:50 ivan Status assigned => resolved
2011-07-02 18:50 ivan Fixed in Version => Current GIT
2011-07-02 18:50 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker